FrameworksId
Update a user-defined framework.
Authorization
Authorization AuthorizationBearer <token>
In: header
Path Parameters
id*string
Match
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Format
uuidRequest Body
application/json
organizationId?|
identifier*string
version?string
Default
"1.0"identifierColor?|
name*string
Length
2 <= length <= 255description?|
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X PATCH "https://app.devguard.ch/api/frameworks/497f6eca-6276-4993-bfeb-53cbbbba6f08/" \ -H "Content-Type: application/json" \ -d '{ "identifier": "string", "name": "string" }'{
"id": "string",
"organizationId": "string",
"identifier": "string",
"slug": "string",
"version": "1.0",
"identifierColor": "string",
"publishedAt": "string",
"deprecatedAt": "string",
"isActive": true,
"requiredTier": "free-trial",
"name": "string",
"description": "string",
"isCentralized": true,
"lastSyncAt": "string",
"createdAt": "string",
"updatedAt": "string",
"createdBy": "string"
}{
"code": "BAD_REQUEST",
"message": "Invalid input data",
"issues": []
}{
"code": "UNAUTHORIZED",
"message": "Authorization not provided",
"issues": []
}{
"code": "FORBIDDEN",
"message": "Insufficient access",
"issues": []
}{
"code": "NOT_FOUND",
"message": "Not found",
"issues": []
}{
"code": "INTERNAL_SERVER_ERROR",
"message": "Internal server error",
"issues": []
}How is this guide?